from fastapi import APIRouter
from app.api.v1.endpoints import auth, catalog, assets, organizations, documents # <--- Ide bekerült a documents!

api_router = APIRouter()

# Hitelesítés
api_router.include_router(auth.router, prefix="/auth", tags=["Authentication"])

# Katalógus
api_router.include_router(catalog.router, prefix="/catalog", tags=["Vehicle Catalog"])

# Eszközök (Járművek)
api_router.include_router(assets.router, prefix="/assets", tags=["Assets"])

# Szervezetek
api_router.include_router(organizations.router, prefix="/organizations", tags=["Organizations"])

# DOKUMENTUMOK (Ez az új rész, ami hiányzik neked)
api_router.include_router(documents.router, prefix="/documents", tags=["Documents"])